########## R function: epGIGone ##########

# For computing the "G^IG1" function defined
# in Kim and Wand (2016).

# Last changed: 29 JAN 2016

epGIGone <- function(a,b,aux)
{
   logbetaRecipObj <- eplogbeta(0,1,-2*b[2]/aux[1],0.5,a,b,aux)
   logbetaDenomObj <- eplogbeta(0,-1,-2*b[2]/aux[1],0.5,a,b,aux)
   gFunObj <- epg(0,-2*b[2]/aux[1],0.5,a,b,aux)
     
   Erec <- exp(logbetaRecipObj$modulus - logbetaDenomObj$modulus)
 
   ans <- c(-1-gFunObj,-gFunObj/Erec) - a
   return(ans)
}

############ End of epGIGone ############
