########## R function: logPartN ##########

# For computing the log-partition function of
# the Normal density function with natural
# parameterisation.

# Last changed: 29 JAN 2016

logPartN <- function(eta)
{
   if (eta[2]>=0)
      ans <- 0

   ans <- -(eta[1]^2)/(4*eta[2]) - 0.5*log(-2*eta[2])
   return(ans)
}

############ End of logPartN ############
