########## R function: epg ##########

# For computing the "g" function defined
# in Kim and Wand (2016).

# Last changed: 27 JAN 2016

epg <- function(ell,r,s,a,b,aux)
{
   logbetaRecipObj <- eplogbeta(0,ell+1,r,s,a,b,aux)
   logbetaLogObj <- eplogbeta(1,ell-1,r,s,a,b,aux)
   logbetaDenomObj <- eplogbeta(0,ell-1,r,s,a,b,aux)

   Erec <- exp(logbetaRecipObj$modulus - logbetaDenomObj$modulus)
   Elog <- (logbetaLogObj$sign)*exp(logbetaLogObj$modulus -logbetaDenomObj$modulus)

   ans <- logmdigammaInv(log(Erec) - Elog)
   return(ans)
}

############ End of epg ############
