########## R function: logalpha ##########

# For computing the logarithm of the "alpha"
# function as appearing in Kim and Wand (2016).

# Last changed: 29 JAN 2016

eplogalpha <- function(k,a,b,aux)
{
   # Set script A function arguments:
   
   pVal <- k ; qVal <- a[1] ; rVal <- -a[2]
   sVal <- -2*aux[2]/aux[1]
   tVal <- (aux[3] - 2*b[2])/aux[1]
   uVal <- (aux[1] - 2*b[1] - 2)/2

   ans <- logScrA(pVal,qVal,rVal,sVal,tVal,uVal)
 
   return(ans)
}

############ End of logalpha ############
