########## R function: eplogbeta ##########

# For computing the logarithm of the "beta"
# function as appearing in Kim and Wand (2016).

# Last changed: 29 JAN 2016

eplogbeta <- function(k,ell,r,s,a,b,aux)
{
   # Set script B function arguments:
  
   pVal <- k ;      qVal <- 0.5*(ell+aux[1]-1) - a[1] 
   rVal <- 0.5*aux[3] - 0.5*(aux[2]^2/aux[1]) -a[2]
   sVal <- -b[2]*((aux[2]/aux[1]) + (0.5*b[1]/b[2]))^2
   tVal <- r ; uVal <- s
   
   ans <- logScrB(pVal,qVal,rVal,sVal,tVal,uVal)
 
   return(ans)
}

############ End of eplogbeta ############
