########## R function: logPartIG ##########

# For computing the log-partition function of
# the Inverse Gamma density function with
# natural parameterisation.

# Last changed: 29 JAN 2016

logPartIG <- function(eta)
{
   ans <- lgamma(-eta[1]-1) + (eta[1]+1)*log(-eta[2])
   return(ans)
}

############ End of logPartIG ############
